### Method

# Qmi MessageDmsFoxconnSetFccAuthenticationInput ref

since: 1.28.6

#### Declaration [src]

    QmiMessageDmsFoxconnSetFccAuthenticationInput*
    qmi_message_dms_foxconn_set_fcc_authentication_input_ref (
      QmiMessageDmsFoxconnSetFccAuthenticationInput* self
    )

#### Description [src]

Atomically increments the reference count of `self` by one.

Available since: 1.28.6

#### Return value

Type: `QmiMessageDmsFoxconnSetFccAuthenticationInput`

The new reference to `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.